org.sonatype.maven.polyglot.groovy

## Class GroovyModelReader

- java.lang.Object
- - org.sonatype.maven.polyglot.io.ModelReaderSupport
  - - org.sonatype.maven.polyglot.groovy.GroovyModelReader

All Implemented Interfaces:
  org.apache.maven.model.io.ModelReader

    @Component(role=org.apache.maven.model.io.ModelReader.class,
               hint="groovy")
    public class GroovyModelReader
    extends ModelReaderSupport

Reads a `pom.groovy` and transforms into a Maven `Model`.

Since:
  0.7
Author:
  Jason Dillon

### Field Summary

Fields
`protected org.codehaus.plexus.logging.Logger` `log`

### Fields inherited from interface org.apache.maven.model.io.ModelReader

`INPUT_SOURCE, IS_STRICT`

### Constructor Summary

Constructors
Constructor and Description
`GroovyModelReader()`

### Method Summary

Methods
`org.apache.maven.model.Model` `read(java.io.Reader input, java.util.Map<java.lang.String,?> options)`

### Methods inherited from class org.sonatype.maven.polyglot.io.ModelReaderSupport

`read, read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### log

    @Requirement
    protected org.codehaus.plexus.logging.Logger log

### Constructor Detail

#### GroovyModelReader

    public GroovyModelReader()

### Method Detail

#### read

    public org.apache.maven.model.Model read(java.io.Reader input,
                                    java.util.Map<java.lang.String,?> options)
                                      throws java.io.IOException

Throws:
  `java.io.IOException`